# -*- coding: utf-8 -*-
# -*- frozen_string_literal: true -*-

namespace :doc do
  desc "Publish online documentation"
  task :publish => ["doc:build"] do
    FileUtils.mkdir "public"
    FileUtils.cp_r "./doc/.", "public"
  end
end

RDoc::Task.new(rdoc: "doc:build", clobber_rdoc: "doc:remove", rerdoc: "doc:rebuild") do |d|
  d.generator = "hanna"
  d.rdoc_dir = "doc"
  d.rdoc_files.include(*<%= @scaffold.namespace %>::Doc.files).include(*<%= @scaffold.namespace %>::Doc.appendices)
  d.options = <%= @scaffold.namespace %>::Doc.build_options
end
